be.ehealth.businessconnector.ssinhistory.session.impl

## Class SsinHistorySessionServiceImplFactory

- java.lang.Object
- - be.ehealth.technicalconnector.session.ImplementationClassFactory
  - - be.ehealth.businessconnector.ssinhistory.session.impl.SsinHistorySessionServiceImplFactory

-     public class SsinHistorySessionServiceImplFactory
      extends ImplementationClassFactory

  Implementation for the `ImplementationClassFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SsinHistorySessionServiceImplFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `createImplementationClass(Class<T> clazz, SessionValidator sessionValidator, EhealthReplyValidator replyValidator, String... additionalParameters)`

    - ### Methods inherited from class be.ehealth.technicalconnector.session.ImplementationClassFactory

      `createImplementationClass`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SsinHistorySessionServiceImplFactory

          public SsinHistorySessionServiceImplFactory()

  - ### Method Detail

    - #### createImplementationClass

          public <T> T createImplementationClass(Class<T> clazz,
                                                 SessionValidator sessionValidator,
                                                 EhealthReplyValidator replyValidator,
                                                 String... additionalParameters)
                                          throws TechnicalConnectorException

      Overrides:
        `createImplementationClass` in class `ImplementationClassFactory`
      Throws:
        `TechnicalConnectorException`
      See Also:
        `be.ehealth.technicalconnector.session.ImplementationClassFactory#createImplementationClass(java.lang.Class, be.ehealth.technicalconnector.validator.SessionValidator, be.ehealth.technicalconnector.validator.EhealthReplyValidator, java.lang.String)`

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.